<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__ofes__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_ofes_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__ofes__context__t_1aaf7cec8bf10a12f82431b1cfdc76fa3c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_ofes_context_t::touchStartTime1</definition>
        <argsstring />
        <name>touchStartTime1</name>
        <briefdescription>
<para>Touchdown time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="141" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofes__context__t_1ac6dceb387c709e7425014e0b6cbba69d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_ofes_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="142" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofes__context__t_1aceb2451dce6a58a27a57aad7567d96de" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofes_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="143" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__ofes__context__t_1ac157aeb4721e704a38dff878b34f4bbf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_ofes_context_t::edge</definition>
        <argsstring />
        <name>edge</name>
        <briefdescription>
<para>Detected edge. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="144" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture One Finger Edge Swipe context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="193">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="192">
        <label>cy_stc_capsense_ofes_context_t</label>
        <link refid="structcy__stc__capsense__ofes__context__t" />
        <childnode refid="193" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="145" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="139" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="140" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__ofes__context__t_1ac157aeb4721e704a38dff878b34f4bbf" virt="non-virtual"><scope>cy_stc_capsense_ofes_context_t</scope><name>edge</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofes__context__t_1aceb2451dce6a58a27a57aad7567d96de" virt="non-virtual"><scope>cy_stc_capsense_ofes_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofes__context__t_1ac6dceb387c709e7425014e0b6cbba69d" virt="non-virtual"><scope>cy_stc_capsense_ofes_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__ofes__context__t_1aaf7cec8bf10a12f82431b1cfdc76fa3c" virt="non-virtual"><scope>cy_stc_capsense_ofes_context_t</scope><name>touchStartTime1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>